{
  lib,
  config,
  pkgs,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.fish;
in {
  options.marleyos.programs.fish.enable = mkEnableOption "fish";

  config = mkIf cfg.enable {
    programs.fish = {
      enable = true;
      useBabelfish = true;
    };

    users.defaultUserShell = pkgs.fish;
  };
}
